Name:           evas
Version:        0.9.9.026
Release:        2%{?dist}
Summary:        A hardware-accelerated canvas API

Group:          System Environment/Libraries
License:        MIT
URL:            http://www.enlightenment.org/Libraries/Evas/
Source0:        http://enlightenment.freedesktop.org/files/%{name}-%{version}.tar.gz
Patch:          evas-0.9.9.023-novera.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  edb-devel eet-devel freetype-devel directfb-devel libpng-devel
BuildRequires:  libjpeg-devel
BuildRequires:  xorg-x11-proto-devel libX11-devel libXext-devel
BuildRequires:  libXrender-devel mesa-libGL-devel mesa-libGLU-devel
BuildRequires:  libICE-devel fontconfig-devel
#BuildRequires:  cairo-devel

Provides:       %{name}-module_loader_eet = %{version}-%{release}
Provides:       %{name}-module_saver_eet = %{version}-%{release}
Provides:       %{name}-module_loader_jpeg = %{version}-%{release}
Provides:       %{name}-module_saver_jpeg = %{version}-%{release}
Provides:       %{name}-module_loader_png = %{version}-%{release}
Provides:       %{name}-module_saver_png = %{version}-%{release}
#Provides:       %{name}-module_engine_cairo_x11 = %{version}-%{release}
Provides:       %{name}-module_engine_fb = %{version}-%{release}
Provides:       %{name}-module_engine_gl_x11 = %{version}-%{release}
Provides:       %{name}-module_engine_software_x11 = %{version}-%{release}
Provides:       %{name}-module_engine_xrender_x11 = %{version}-%{release}

%description
Evas is a hardware-accelerated canvas API for X-Windows that can draw
anti-aliased text, smooth super and sub-sampled images, alpha-blend, as well
as drop down to using normal X11 primitives such as pixmaps, lines and
rectangles for speed if your CPU or graphics hardware are too slow.

Evas abstracts any need to know much about what the characteristics of your
XServer's display are, what depth or what magic visuals etc, it has. The most
you need to tell Evas is how many colors (at a maximum) to use if the display
is not a truecolor display.

%package        devel
Summary:        Development libraries for evas
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The evas-devel package contains libraries and header files for developing
evas applications.

%package        directfb
Summary:        evas support for DirectFB
Group:          System Environment/Libraries
Requires:       %{name} = %{version}-%{release}
Provides:       %{name}-module_engine_directfb = %{version}-%{release}

%description    directfb
This package contains the DirectFB engine for evas.

%package        edb
Summary:        evas support for edb
Group:          System Environment/Libraries
Requires:       %{name} = %{version}-%{release}
Provides:       %{name}-module_loader_edb = %{version}-%{release}
Provides:       %{name}-module_saver_edb = %{version}-%{release}

%description    edb
This package contains the edb loader and saver for evas.

%prep
%setup -q
%patch -p 1 -b .novera

%build
%configure --disable-static --enable-directfb --enable-gl-x11
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name \*.la -exec rm {} \;

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING COPYING-PLAIN README
%{_bindir}/%{name}_buffer*
%{_bindir}/%{name}_fb*
%{_bindir}/%{name}_gl_x11*
%{_bindir}/%{name}_software_x11*
%{_bindir}/%{name}_xrender_x11*
%{_datadir}/%{name}
%{_libdir}/*.so.*
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/modules
%dir %{_libdir}/%{name}/modules/engines
%dir %{_libdir}/%{name}/modules/loaders
%dir %{_libdir}/%{name}/modules/savers
%{_libdir}/%{name}/modules/engines/buffer
%{_libdir}/%{name}/modules/engines/fb
%{_libdir}/%{name}/modules/engines/gl_x11
%{_libdir}/%{name}/modules/engines/software_generic
%{_libdir}/%{name}/modules/engines/software_x11
%{_libdir}/%{name}/modules/engines/xrender_x11
%{_libdir}/%{name}/modules/loaders/eet
%{_libdir}/%{name}/modules/loaders/jpeg
%{_libdir}/%{name}/modules/loaders/png
%{_libdir}/%{name}/modules/savers/eet
%{_libdir}/%{name}/modules/savers/jpeg
%{_libdir}/%{name}/modules/savers/png

%files devel
%defattr(-,root,root,-)
%doc
%{_bindir}/%{name}-config
%{_includedir}/*.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%files directfb
%defattr(-,root,root,-)
%doc
%{_bindir}/evas_directfb*
%{_libdir}/%{name}/modules/engines/directfb

%files edb
%defattr(-,root,root,-)
%doc
%{_libdir}/%{name}/modules/loaders/edb
%{_libdir}/%{name}/modules/savers/edb

%changelog
* Sat Apr 22 2006 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.9.9.026-2
- Split out edb and directfb packages
- Added upstream Provides
- Enabled fontconfig font searching

* Tue Apr 18 2006 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.9.9.026-1
- Upstream update

* Mon Feb 13 2006 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.9.9.023-2
- Rebuild for Fedora Extras 5

* Sun Feb  5 2006 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.9.9.023-1
- Initial RPM release
